// creator  : weidu.exe (version 23100)
// argument : DOPDUR3.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~DOPDUR3~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #20814 /* ~The sign on this machine states the name of its inventor, one Eduardo Jansen.~ */
  IF ~~ THEN DO ~DialogInterrupt(FALSE)
SetDialog("")
Face(10)
CreateCreature("islann",[2045.953])
CreateCreature("fuerne",[1461.597])
SetGlobal("dopdur3","GLOBAL",1)
ActionOverride("FUERNEBOL",MoveToPoint([1638.749]))
ActionOverride("FUERNEBOL",ProtectPoint([1638.749],3))
ActionOverride("ISLANNE",MoveToPoint([1806.895]))
ActionOverride("ISLANNE",ProtectPoint([1806.895],3))
Wait(3)
ForceSpellPoint([1900.714],QUICK_TELEPORT)
Face(10)
Wait(2)
DialogInterrupt(TRUE)
StartDialog("dopdur3",Player1)
~ EXIT
END

IF ~NumTimesTalkedTo(1)~ THEN BEGIN 1 // from:
  SAY #20815 /* ~Listen to me, my brothers and sisters... heed my words.  We have been chosen as the recipients of a most holy miracle, one that should neither be dismissed nor ignored!~ [GAAL07] */
  IF ~~ THEN DO ~DialogInterrupt(FALSE)
SetDialog("")
SetGlobal("dopdur3","GLOBAL",2)
Wait(3)
ForceSpellPoint([2082.580],QUICK_TELEPORT)
Face(10)
Wait(2)
DialogInterrupt(TRUE)
StartDialog("dopdur3",Player1)
~ EXIT
END

IF ~NumTimesTalkedTo(2)~ THEN BEGIN 2 // from:
  SAY #20816 /* ~I, Gaal... I, who have been stripped of my eyes most mercifully, have been shown the truth that has eluded the sighted!  The gods that you worship are false gods, icons that serve to increase the wealth of churches and heathens!  Listen to them not!~ [GAAL08] */
  IF ~~ THEN DO ~ReallyForceSpell("ISLANNE",WIZARD_CLOUDKILL)
ReallyForceSpell("ISLANNE",DOPPLEGANGER_CHANGE_DEFAULT)
ReallyForceSpell("FUERNEBOL",WIZARD_STINKING_CLOUD)
ReallyForceSpell("FUERNEBOL",DOPPLEGANGER_CHANGE_DEFAULT)
ReallyForceSpell(Myself,WIZARD_STINKING_CLOUD)
ReallyForceSpell(Myself,DOPPLEGANGER_CHANGE_DEFAULT)
~ EXIT
END
